=== debian/control ===
--- 
+++ 
@@ -14,9 +14,8 @@
  junit4 (>= 4.11),
  libcglib-nodep-java,
  libeasymock-java (>= 3.0),
- libeclipse-jdt-core-java (>= 3.14.0),
+ libecj-java (>= 3.14),
  libhamcrest-java (>= 1.3),
- libjaxrpc-api-java,
  libobjenesis-java,
  libtaglibs-standard-impl-java,
  libtaglibs-standard-spec-java,
@@ -47,7 +46,7 @@
 Architecture: all
 Depends:
  lsb-base (>= 3.0-6),
- systemd,
+ systemd (>= 215),
  tomcat9-common (>= ${source:Version}),
  ucf,
  ${misc:Depends}
@@ -91,7 +90,7 @@
 
 Package: libtomcat9-java
 Architecture: all
-Depends: libeclipse-jdt-core-java (>= 3.14.0), ${misc:Depends}
+Depends: libecj-java (>= 3.14), ${misc:Depends}
 Suggests: tomcat9 (>= ${source:Version})
 Description: Apache Tomcat 9 - Servlet and JSP engine -- core libraries
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
@@ -103,7 +102,7 @@
 
 Package: libtomcat9-embed-java
 Architecture: all
-Depends: libeclipse-jdt-core-java (>= 3.14.0), ${misc:Depends}
+Depends: libecj-java (>= 3.14), ${misc:Depends}
 Description: Apache Tomcat 9 - Servlet and JSP engine -- embed libraries
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Oracle, and provides a "pure Java" HTTP web
