=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@ --with maven-repo-helper --with javahelper
 
 override_dh_auto_build:
-	dh_auto_build -- -Ddistribution.name=$(shell lsb_release -si) extras-jmx-remote deploy embed-jars
+	dh_auto_build -- -Ddistribution.name=$(shell lsb_release -si) deploy embed-jars
 
 	# Prepare the Maven artifacts
 	mkdir -p debian/poms
