=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
  junit4 (>= 4.11),
  libcglib-nodep-java,
  libeasymock-java (>= 3.0),
- libecj-java (>= 3.14),
+ libeclipse-jdt-core-java (>= 3.14.0),
  libhamcrest-java (>= 1.3),
+ libjaxrpc-api-java,
  libobjenesis-java,
  libtaglibs-standard-impl-java,
  libtaglibs-standard-spec-java,
@@ -23,7 +24,7 @@
  libwsdl4j-java,
  lsb-release,
  maven-repo-helper
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/tomcat9.git
 Vcs-Browser: https://salsa.debian.org/java-team/tomcat9
 Homepage: http://tomcat.apache.org
@@ -90,7 +91,7 @@
 
 Package: libtomcat9-java
 Architecture: all
-Depends: libecj-java (>= 3.14), ${misc:Depends}
+Depends: libeclipse-jdt-core-java (>= 3.14.0), ${misc:Depends}
 Suggests: tomcat9 (>= ${source:Version})
 Description: Apache Tomcat 9 - Servlet and JSP engine -- core libraries
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
@@ -102,7 +103,7 @@
 
 Package: libtomcat9-embed-java
 Architecture: all
-Depends: libecj-java (>= 3.14), ${misc:Depends}
+Depends: libeclipse-jdt-core-java (>= 3.14.0), ${misc:Depends}
 Description: Apache Tomcat 9 - Servlet and JSP engine -- embed libraries
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Oracle, and provides a "pure Java" HTTP web
