=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  libwsdl4j-java,
  lsb-release,
  maven-repo-helper
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/java-team/tomcat9.git
 Vcs-Browser: https://salsa.debian.org/java-team/tomcat9
 Homepage: http://tomcat.apache.org
