## tomcat9 9.0.31

=== debian/changelog ===
tomcat9 (9.0.31-1~deb10u12devuan1) beowulf-proposed-updates; urgency=medium

  * Merge tomcat Debian Release 9.0.31-1~deb10u12

 -- Andreas Messer <andi@bastelmap.de>  Tue, 23 Apr 2024 19:18:11 +0200

tomcat9 (9.0.31-1~deb10u12) buster-security; urgency=high

  * Team upload.
  * Fix CVE-2024-24549:
    Denial of Service due to improper input validation vulnerability for
    HTTP/2. When processing an HTTP/2 request, if the request exceeded any of
    the configured limits for headers, the associated HTTP/2 stream was not
    reset until after all of the headers had been processed.
  * Fix CVE-2024-23672:
    Denial of Service via incomplete cleanup vulnerability. It was possible for
    WebSocket clients to keep WebSocket connections open leading to increased
    resource consumption.

 -- Markus Koschany <apo@debian.org>  Fri, 05 Apr 2024 12:14:58 +0200

tomcat9 (9.0.31-1~deb10u11devuan1) beowulf-proposed-updates; urgency=medium

  * Merge Debian Release 9.0.31-1~deb10u10
  * Merge Debian Release 9.0.31-1~deb10u11

 -- Andreas Messer <andi@bastelmap.de>  Tue, 06 Feb 2024 18:39:07 +0100

tomcat9 (9.0.31-1~deb10u11) buster-security; urgency=high

  * Team upload
  * Fix CVE-2023-46589 (Closes: #1057082):
    An Improper Input Validation vulnerability was found. Tomcat
    did not correctly parse HTTP trailer headers. A trailer
    header that exceeded the header size limit could cause Tomcat
    to treat a single request as multiple requests leading
    to the possibility of request smuggling when behind a reverse proxy.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 04 Jan 2024 21:53:23 +0000

tomcat9 (9.0.31-1~deb10u10) buster-security; urgency=high

  * Team upload.
  * A regression was discovered in the Http2UpgradeHandler class of Tomcat 9
    introduced by the patch to fix CVE-2023-44487 (Rapid Reset Attack). A wrong
    value for the overheadcount variable forced connections to close early.

 -- Markus Koschany <apo@debian.org>  Mon, 16 Oct 2023 20:53:15 +0200

tomcat9 (9.0.31-1~deb10u9+devuan2) beowulf-proposed-updates; urgency=medium

  * Add d/control Origin field

 -- Andreas Messer <andi@bastelmap.de>  Wed, 18 Oct 2023 19:42:22 +0200

tomcat9 (9.0.31-1~deb10u9+devuan1) beowulf-security; urgency=medium

  * Merge Debian version 9.0.31-1~deb10u8
  * Merge Debian version 9.0.31-1~deb10u9

 -- Andreas Messer <andi@bastelmap.de>  Tue, 17 Oct 2023 20:30:52 +0200

tomcat9 (9.0.31-1~deb10u9) buster-security; urgency=high

  * Team upload.
  * Fix CVE-2023-45648: Request smuggling. Tomcat did not correctly parse HTTP
    trailer headers. A specially crafted, invalid trailer header could cause
    Tomcat to treat a single request as multiple requests leading to the
    possibility of request smuggling when behind a reverse proxy.
  * Fix CVE-2023-44487: DoS caused by HTTP/2 frame overhead (Rapid Reset Attack)
  * Fix CVE-2023-42795: Information Disclosure. When recycling various internal
    objects, including the request and the response, prior to re-use by the
    next request/response, an error could cause Tomcat to skip some parts of
    the recycling process leading to information leaking from the current
    request/response to the next.
  * Fix CVE-2023-41080: Open redirect. If the ROOT (default) web application
    is configured to use FORM authentication then it is possible that a
    specially crafted URL could be used to trigger a redirect to an URL of the
    attackers choice.
  * Fix CVE-2023-28709: Denial of Service. If non-default HTTP connector
    settings were used such that the maxParameterCount could be reached using
    query string parameters and a request was submitted that supplied exactly
    maxParameterCount parameters in the query string, the limit for uploaded
    request parts could be bypassed with the potential for a denial of service
    to occur.
  * Fix CVE-2023-24998: Denial of service. Tomcat uses a packaged renamed copy
    of Apache Commons FileUpload to provide the file upload functionality
    defined in the Jakarta Servlet specification. Apache Tomcat was, therefore,
    also vulnerable to the Commons FileUpload vulnerability CVE-2023-24998 as
    there was no limit to the number of request parts processed. This resulted
    in the possibility of an attacker triggering a DoS with a malicious upload
    or series of uploads.

 -- Markus Koschany <apo@debian.org>  Wed, 11 Oct 2023 17:17:28 +0200

tomcat9 (9.0.31-1~deb10u8) buster-security; urgency=high

  * Team upload.
  * Fix CVE-2022-42252:
    Apache Tomcat was configured to ignore invalid HTTP headers via setting
    rejectIllegalHeader to false. Tomcat did not reject a request containing an
    invalid Content-Length header making a request smuggling attack possible if
    Tomcat was located behind a reverse proxy that also failed to reject the
    request with the invalid header.
  * Fix CVE-2023-28708:
    When using the RemoteIpFilter with requests received from a reverse proxy
    via HTTP that include the X-Forwarded-Proto header set to https, session
    cookies created by Apache Tomcat did not include the secure attribute. This
    could result in the user agent transmitting the session cookie over an
    insecure channel.

 -- Markus Koschany <apo@debian.org>  Wed, 05 Apr 2023 18:04:52 +0200

tomcat9 (9.0.31-1~deb10u7devuan1) beowulf-security; urgency=high

  * Merge Debian version 9.0.31-1~deb10u7

 -- Andreas Messer <andi@bastelmap.de>  Tue, 08 Nov 2022 18:21:03 +0100

tomcat9 (9.0.31-1~deb10u7) buster-security; urgency=high

  * Team upload.
  * Fix CVE-2021-43980:
    The simplified implementation of blocking reads and writes introduced in
    Tomcat 10 and back-ported to Tomcat 9.0.47 onwards exposed a long standing
    (but extremely hard to trigger) concurrency bug that could cause client
    connections to share an Http11Processor instance resulting in responses, or
    part responses, to be received by the wrong client.
  * Fix CVE-2022-23181:

