=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: tomcat9
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders:
- tony mancill <tmancill@debian.org>,
- Emmanuel Bourg <ebourg@apache.org>
+Maintainer: Andreas Messer <andi@bastelmap.de>
+Origin: Devuan
 Build-Depends:
  ant-optional,
  bnd,
  debhelper (>= 11),
- default-jdk,
+ java10-sdk,
  javahelper,
  junit4 (>= 4.11),
  libcglib-nodep-java,
@@ -24,9 +22,9 @@
  libwsdl4j-java,
  lsb-release,
  maven-repo-helper
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/java-team/tomcat9.git
-Vcs-Browser: https://salsa.debian.org/java-team/tomcat9
+Standards-Version: 4.5.0
+Vcs-Git: https://git.devuan.org/devuan-packages/tomcat9.git
+Vcs-Browser: https://git.devuan.org/devuan-packages/tomcat9
 Homepage: http://tomcat.apache.org
 
 Package: tomcat9-common
@@ -47,7 +45,7 @@
 Architecture: all
 Depends:
  lsb-base (>= 3.0-6),
- systemd (>= 215),
+ adduser,
  tomcat9-common (>= ${source:Version}),
  ucf,
  ${misc:Depends}
