## tomcat9 9.0.31.5

=== debian/changelog ===
tomcat9 (9.0.31.5-1+dde) unstable; urgency=medium

  * update

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Tue, 14 Dec 2021 14:48:48 +0800

tomcat9 (9.0.31.4-1+dde) unstable; urgency=medium

  * Fixed CVE-2021-24122: When serving resources from a network location
    using the NTFS file system, Apache Tomcat versions 10.0.0-M1 to
    10.0.0-M9, 9.0.0.M1 to 9.0.39, 8.5.0 to 8.5.59 and 7.0.0 to 7.0.106
    were susceptible to JSP source code disclosure in some configurations.
    The root cause was the unexpected behaviour of the JRE API
    File.getCanonicalPath() which in turn was caused by the inconsistent
    behaviour of the Windows API (FindFirstFileW) in some circumstances.

 -- wangrong <wangrong@uniontech.com>  Mon, 24 May 2021 11:31:08 +0800

tomcat9 (9.0.31.3-1) unstable; urgency=medium

  * fix mips boot slow problem 

 -- tianying <tianying@uniontech.com>  Fri, 07 May 2021 17:35:41 +0800

tomcat9 (9.0.31.2-1+dde) unstable; urgency=medium

  * update to debian (8.0.31-1~deb10u4)
  * fix CVE-2021-25122 CVE-2021-25329

 -- Moritz Mühlenhoff <tianying@uniontech.com>  Thu, 29 Apr 2021 20:59:52 +0800
