=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
+export DEB_BUILD_OPTIONS = nocheck
 JAVA_HOME := /usr/lib/jvm/default-java
 
 %:
