## tomcat9 9.0.35

=== debian/changelog ===
tomcat9 (9.0.35-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 27 May 2020 17:26:40 +0200

tomcat9 (9.0.35-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2020-9484: Remote Code Execution via session persistence (Closes: #961209)
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 21 May 2020 15:50:03 +0200
