=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: tomcat9
 Section: java
 Priority: optional
-Maintainer: Andreas Messer <andi@bastelmap.de>
-Origin: Devuan
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders:
+ tony mancill <tmancill@debian.org>,
+ Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  ant-optional,
- bnd,
- debhelper (>= 11),
- java10-sdk,
+ bnd (>= 5.0.1),
+ debhelper-compat (= 12),
+ default-jdk,
  javahelper,
  junit4 (>= 4.11),
  libcglib-nodep-java,
  libeasymock-java (>= 3.0),
- libeclipse-jdt-core-java (>= 3.14.0),
+ libeclipse-jdt-core-java (>= 3.18.0),
  libhamcrest-java (>= 1.3),
  libjaxrpc-api-java,
  libobjenesis-java,
@@ -23,8 +25,8 @@
  lsb-release,
  maven-repo-helper
 Standards-Version: 4.5.0
-Vcs-Git: https://git.devuan.org/devuan-packages/tomcat9.git
-Vcs-Browser: https://git.devuan.org/devuan-packages/tomcat9
+Vcs-Git: https://salsa.debian.org/java-team/tomcat9.git
+Vcs-Browser: https://salsa.debian.org/java-team/tomcat9
 Homepage: http://tomcat.apache.org
 
 Package: tomcat9-common
@@ -45,7 +47,7 @@
 Architecture: all
 Depends:
  lsb-base (>= 3.0-6),
- adduser,
+ systemd (>= 238),
  tomcat9-common (>= ${source:Version}),
  ucf,
  ${misc:Depends}
@@ -89,7 +91,7 @@
 
 Package: libtomcat9-java
 Architecture: all
-Depends: libeclipse-jdt-core-java (>= 3.14.0), ${misc:Depends}
+Depends: libeclipse-jdt-core-java (>= 3.18.0), ${misc:Depends}
 Suggests: tomcat9 (>= ${source:Version})
 Description: Apache Tomcat 9 - Servlet and JSP engine -- core libraries
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
@@ -101,7 +103,7 @@
 
 Package: libtomcat9-embed-java
 Architecture: all
-Depends: libeclipse-jdt-core-java (>= 3.14.0), ${misc:Depends}
+Depends: libeclipse-jdt-core-java (>= 3.18.0), ${misc:Depends}
 Description: Apache Tomcat 9 - Servlet and JSP engine -- embed libraries
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Oracle, and provides a "pure Java" HTTP web
