## tomcat9 9.0.38

=== debian/changelog ===
tomcat9 (9.0.38-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 24 Sep 2020 17:39:06 +0200

tomcat9 (9.0.38-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Sep 2020 16:04:03 +0200
