## tomcat9 9.0.39

=== debian/changelog ===
tomcat9 (9.0.39-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Oct 2020 09:39:22 +0200

tomcat9 (9.0.39-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * tomcat9-user now depends on netcat-openbsd instead of netcat
    (Closes: #966158)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 Oct 2020 17:16:57 +0200
