=== debian/control ===
--- 
+++ 
@@ -72,7 +72,7 @@
 Package: tomcat9-user
 Architecture: all
 Depends:
- netcat,
+ netcat-openbsd,
  tomcat9-common (>= ${source:Version}),
  ${misc:Depends}
 Suggests:
