## tomcat9 9.0.41

=== debian/changelog ===
tomcat9 (9.0.41-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Dec 2020 16:27:56 +0100

tomcat9 (9.0.41-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 Dec 2020 16:03:00 +0100
