## tomcat9 9.0.43

=== debian/changelog ===
tomcat9 (9.0.43-2~deb11u10) bullseye-security; urgency=high

  * Team upload.
  * Fix CVE-2023-46589:
    Improper Input Validation vulnerability in Apache Tomcat. Tomcat 10 did not
    correctly parse HTTP trailer headers. A trailer header that exceeded the
    header size limit could cause Tomcat to treat a single request as multiple
    requests leading to the possibility of request smuggling when behind a
    reverse proxy.
  * Fix CVE-2024-24549:
    Denial of Service due to improper input validation vulnerability for
    HTTP/2. When processing an HTTP/2 request, if the request exceeded any of
    the configured limits for headers, the associated HTTP/2 stream was not
    reset until after all of the headers had been processed.
  * Fix CVE-2024-23672:
    Denial of Service via incomplete cleanup vulnerability. It was possible for
    WebSocket clients to keep WebSocket connections open leading to increased
    resource consumption.

 -- Markus Koschany <apo@debian.org>  Thu, 18 Apr 2024 22:17:07 +0200

tomcat9 (9.0.43-2~deb11u9) bullseye-security; urgency=high

  * More HTTP/2 overhead protection adjustments

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 Oct 2023 14:51:43 +0200

tomcat9 (9.0.43-2~deb11u8) bullseye-security; urgency=high

  * Fixed the HTTP/2 overhead protection triggered on data frames.
    (Closes: #1053820)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Oct 2023 17:32:21 +0200

tomcat9 (9.0.43-2~deb11u7) bullseye-security; urgency=high

  * Fix CVE-2023-45648: Request smuggling. Tomcat did not correctly parse HTTP
    trailer headers. A specially crafted, invalid trailer header could cause
    Tomcat to treat a single request as multiple requests leading to the
    possibility of request smuggling when behind a reverse proxy.
  * Fix CVE-2023-44487: DoS caused by HTTP/2 frame overhead (Rapid Reset Attack)
  * Fix CVE-2023-42795: Information Disclosure. When recycling various internal
    objects, including the request and the response, prior to re-use by the next
    request/response, an error could cause Tomcat to skip some parts of the
    recycling process leading to information leaking from the current
    request/response to the next.
  * Fix CVE-2023-41080: Open redirect. If the ROOT (default) web application
    is configured to use FORM authentication then it is possible that a
    specially crafted URL could be used to trigger a redirect to an URL of
    the attackers choice.
  * Fix CVE-2023-28709: Denial of Service. If non-default HTTP connector
    settings were used such that the maxParameterCount could be reached using
    query string parameters and a request was submitted that supplied exactly
    maxParameterCount parameters in the query string, the limit for uploaded
    request parts could be bypassed with the potential for a denial of service
    to occur.
  * Fix CVE-2023-24998: Denial of service. Tomcat uses a packaged renamed copy
    of Apache Commons FileUpload to provide the file upload functionality
    defined in the Jakarta Servlet specification. Apache Tomcat was, therefore,
    also vulnerable to the Commons FileUpload vulnerability CVE-2023-24998 as
    there was no limit to the number of request parts processed. This resulted
    in the possibility of an attacker triggering a DoS with a malicious upload
    or series of uploads.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Oct 2023 18:20:19 +0200

tomcat9 (9.0.43-2~deb11u6) bullseye-security; urgency=high

  * Team upload.
  * Fix CVE-2022-42252:
    Apache Tomcat was configured to ignore invalid HTTP headers via setting
    rejectIllegalHeader to false. Tomcat did not reject a request containing an
    invalid Content-Length header making a request smuggling attack possible if
    Tomcat was located behind a reverse proxy that also failed to reject the
    request with the invalid header.
  * Fix CVE-2022-45143:
    The JsonErrorReportValve in Apache Tomcat did not escape the type, message
    or description values. In some circumstances these are constructed from
    user provided data and it was therefore possible for users to supply values
    that invalidated or manipulated the JSON output.
  * Fix CVE-2023-28708:
    When using the RemoteIpFilter with requests received from a reverse proxy
    via HTTP that include the X-Forwarded-Proto header set to https, session
    cookies created by Apache Tomcat did not include the secure attribute. This
    could result in the user agent transmitting the session cookie over an
    insecure channel. (Closes: #1033475)

 -- Markus Koschany <apo@debian.org>  Wed, 05 Apr 2023 17:47:16 +0200

tomcat9 (9.0.43-2~deb11u5) bullseye; urgency=medium

  * Team upload.
  * Look for OpenJDK 17 when starting the server. (Closes: #1020948)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 06 Jan 2022 03:30:21 +0530

tomcat9 (9.0.43-2~deb11u4) bullseye-security; urgency=high

  * Team upload.
  * Fix CVE-2021-43980:
    The simplified implementation of blocking reads and writes introduced in
    Tomcat 10 and back-ported to Tomcat 9.0.47 onwards exposed a long standing
    (but extremely hard to trigger) concurrency bug that could cause client
    connections to share an Http11Processor instance resulting in responses, or
    part responses, to be received by the wrong client.
  * Fix CVE-2022-23181:
    The fix for bug CVE-2020-9484 introduced a time of check, time of use
    vulnerability into Apache Tomcat that allowed a local attacker to perform
    actions with the privileges of the user that the Tomcat process is using.
    This issue is only exploitable when Tomcat is configured to persist sessions
    using the FileStore.
  * Fix CVE-2022-29885:
    The documentation of Apache Tomcat for the EncryptInterceptor incorrectly
    stated it enabled Tomcat clustering to run over an untrusted network. This
    was not correct. While the EncryptInterceptor does provide confidentiality

