=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,13 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export DEB_BUILD_OPTIONS = nocheck
 JAVA_HOME := /usr/lib/jvm/default-java
 
 %:
 	dh $@ --with maven-repo-helper --with javahelper
 
 override_dh_auto_build:
-	dh_auto_build -- -Ddistribution.name=$(shell lsb_release -si) deploy embed-jars
+	dh_auto_build -- -Ddistribution.name=$(shell lsb_release -si) embed-jars deploy
 
 	# Prepare the Maven artifacts
 	mkdir -p debian/poms
@@ -21,7 +20,7 @@
 	mkdir -p webapps/examples/WEB-INF/lib
 	cp /usr/share/java/taglibs-standard-spec.jar webapps/examples/WEB-INF/lib/taglibs-standard-spec-1.2.5.jar
 	cp /usr/share/java/taglibs-standard-impl.jar webapps/examples/WEB-INF/lib/taglibs-standard-impl-1.2.5.jar
-	dh_auto_build -- test -Dtest.apr.loc=/usr/lib/$(shell dpkg-architecture --query DEB_BUILD_MULTIARCH) -Dtest.verbose=false
+	dh_auto_build -- test -Dtest.apr.loc=/usr/lib/$(shell dpkg-architecture --query DEB_BUILD_MULTIARCH) -Dtest.verbose=false -DaddOSGi=false
 endif
 
 override_dh_install-indep:
