## tomcat9 9.0.58

=== debian/changelog ===
tomcat9 (9.0.58-1ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2023-44487.patch: DoS caused by HTTP/2 frame
      overhead (Rapid Reset Attack)
    - CVE-2023-44487

 -- Giampaolo Fresi Roglia <giampaolo.fresi.roglia@canonical.com>  Wed, 02 Apr 2025 17:05:20 +0200

tomcat9 (9.0.58-1ubuntu0.1) jammy; urgency=medium

  * Fix logging for unprivileged rsyslogd (LP: #1964881):
    - d/logrotate.template: use syslog:adm for log rotation so that
      rsyslog can write to the file
    - d/rsyslog/tomcat9.conf: drop "fileOwner" as it cannot be set by an
      unprivileged rsyslogd
    - d/tomcat9.postinst: adjust ownership of catalina.out so that
      rsyslogd can write to it. Also change the rotated log files for
      consistency.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 20 Jul 2022 16:05:45 -0300

tomcat9 (9.0.58-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.0.58.
  * Add disable-jacoco.patch and remove the dependency on jacoco when running
    the test suite.

 -- Markus Koschany <apo@debian.org>  Wed, 09 Feb 2022 15:51:20 +0100

tomcat9 (9.0.55-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.0.55.

 -- Markus Koschany <apo@debian.org>  Mon, 15 Nov 2021 22:12:42 +0100
