=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tomcat9
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  tony mancill <tmancill@debian.org>,
  Emmanuel Bourg <ebourg@apache.org>
@@ -33,7 +32,7 @@
 Package: tomcat9-common
 Architecture: all
 Depends:
- default-jre-headless | java8-runtime-headless | java8-runtime,
+ default-jre-headless | java11-runtime-headless | java11-runtime,
  libtomcat9-java (>= ${source:Version}),
  ${misc:Depends}
 Description: Apache Tomcat 9 - Servlet and JSP engine -- common files
